installed.packages {utils} | R Documentation

## Find Installed Packages

### Description

Find (or retrieve) details of all packages installed in the specified libraries.

### Usage

    installed.packages(lib.loc = NULL, priority = NULL,
                       noCache = FALSE)

### Arguments

`lib.loc` | character vector describing the location of R library trees to search through.
`priority` | character vector or `NULL` (default). If non-null, used to select packages; `"high"` is equivalent to `c("base", "recommended")`. To select all packages without an assigned priority use `priority = "NA"`.
`noCache` | Do not use cached information.

### Details

`installed.packages` scans the ‘`DESCRIPTION`’ files of each package found along `lib.loc` and returns a matrix of package names, library paths and version numbers.

Note: this works with package names, not bundle names, and for versioned installs with the name under which the package is installed, in the style `mypkg_1.3-7`.

The information found is cached (by library) for the R session, and updated only if the top-level library directory has been altered, for example by installing or removing a package. If the cached information becomes confused, it can be refreshed by running `installed.packages(noCache = TRUE)`.

### Value

A matrix with one row per package, row names the package names and column names `"Package"`, `"LibPath"`, `"Version"`, `"Priority"`, `"Bundle"`, `"Contains"`, `"Depends"`, `"Suggests"`, `"Imports"` and `"Built"` (the R version the package was built under).

### See Also

`update.packages`, `INSTALL`, `REMOVE`.

### Examples

    str(ip <- installed.packages(priority = "high"))
    ip[, c(1,3:5)]

[Package utils version 2.3.1 Index]